# VkOffset3D(3) Manual Page

## Name

VkOffset3D - Structure specifying a three-dimensional offset

Loading… please wait.

## C Specification

A three-dimensional offset is defined by the structure:

    // Provided by VK_VERSION_1_0
    typedef struct VkOffset3D {
        int32_t    x;
        int32_t    y;
        int32_t    z;
    } VkOffset3D;

## Members

- `x` is the x offset.

- `y` is the y offset.

- `z` is the z offset.

## Description

## See Also

VK_VERSION_1_0, VkBufferImageCopy, VkBufferImageCopy2, VkCopyMemoryToImageIndirectCommandNV, VkImageBlit, VkImageBlit2, VkImageCopy, VkImageCopy2, VkImageResolve, VkImageResolve2, VkImageToMemoryCopy, VkMemoryToImageCopy, VkSparseImageMemoryBind

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright 2014-2024 The Khronos Group Inc.

SPDX-License-Identifier: CC-BY-4.0